commit 1b09baab8c751c6d14c1028dcaf9497a5c39b695
Author: Jonathan Wakely <jwakely@redhat.com>
Date:   Thu Sep 26 12:12:13 2024 +0100

    libstdc++: Remove noexcept-specifier from MCF __cxa_guard_acquire [PR116857]
    
    This function definition should not be marked as non-throwing, because
    the declaration in <cxxabi.h> is potentially throwing.
    
    Also fix whitespace.
    
    libstdc++-v3/ChangeLog:
    
            PR libstdc++/116857
            * libsupc++/guard.cc (__cxa_guard_acquire): Remove
            _GLIBCXX_NOTHROW to match declaration in <cxxabi.h>.
    
    (cherry picked from commit efdda203f52b9b55ef9acc8ad668bbd0570a8de6)

diff --git a/libstdc++-v3/libsupc++/guard.cc b/libstdc++-v3/libsupc++/guard.cc
index 364797817f7..707083e09d0 100644
--- a/libstdc++-v3/libsupc++/guard.cc
+++ b/libstdc++-v3/libsupc++/guard.cc
@@ -36,22 +36,22 @@
 namespace __cxxabiv1 {
 
 extern "C" int
-__cxa_guard_acquire (__guard* g) _GLIBCXX_NOTHROW
-  {
-    return __MCF_cxa_guard_acquire(g);
-  }
+__cxa_guard_acquire (__guard* g)
+{
+  return __MCF_cxa_guard_acquire(g);
+}
 
 extern "C" void
 __cxa_guard_release (__guard* g) _GLIBCXX_NOTHROW
-  {
-    __MCF_cxa_guard_release(g);
-  }
+{
+  __MCF_cxa_guard_release(g);
+}
 
 extern "C" void
 __cxa_guard_abort (__guard* g) _GLIBCXX_NOTHROW
-  {
-    __MCF_cxa_guard_abort(g);
-  }
+{
+  __MCF_cxa_guard_abort(g);
+}
 
 }  // namespace __cxxabiv1
 

